require_relative 'test_helper'

class FetchesFollowHistoryTest < Minitest::Test
  def test_raises_for_a_handle
    client = GrowViral::Warehouse::Client.new(:development)
    assert_raises(GrowViral::HandleNotUidError) { client.follow_history("string") }
  end

  def test_returns_output_correctly
    uid = 328383

    output = { 'foo' => 'bar' }
    uri = URI.parse("http://localhost:3001/follow_history?uid=#{uid}")
    Net::HTTP.expects(:get_response).with(uri).returns(mock(body: output.to_json))

    client = GrowViral::Warehouse::Client.new(:development)
    assert_equal output, client.follow_history(uid)
  end
end
