require_relative 'test_helper'

module GrowViral::Warehouse
  class PreloadsUsersTest < Minitest::Test

    def test_returns_output_correctly
      uid1 = 328383
      uid2 = 328383

      uri = URI.parse("http://localhost:3001/tweeps/#{uid1},#{uid2}")
      Net::HTTP.expects(:post_form).with(uri, {}).returns(mock(body: {}.to_json))

      client = GrowViral::Warehouse::Client.new(:development)
      client.preload_users([uid1, uid2])
    end

    def test_posts_account_id_if_given
      uid = 328383
      account_uid = 848493

      uri = URI.parse("http://localhost:3001/tweeps/#{uid}?for_account=#{account_uid}")
      Net::HTTP.expects(:post_form).with(uri, {}).returns(mock(body: {}.to_json))

      client = GrowViral::Warehouse::Client.new(:development)
      client.preload_users([uid], for_account: account_uid)
    end
  end
end

